Subject: bug#4974: closed (Re: bug#4974: 23.1.50; vc-dir)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 09 Jul 2011 00:54:02 +0000

Your bug report

#4974: 23.1.50; vc-dir

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4974: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4974
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4974: 23.1.50; vc-dir
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 08 Jul 2011 20:53:29 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Richard Stallman wrote:

> I used C-x v v in src with two modified files marked: lread.c and ChangeLog.
> The echo area said it was checking in lread.c, but didn't mention ChangeLog.
[...]
>     Checking in /home/rms/emacs-cvs/src/ChangeLog /home/rms/emacs-cvs/src/lread.c...done

As was pointed out before, it seems to mention ChangeLog right there.

> and the status of the files did not change to "edited".

Maybe you meant "did not change FROM edited" or "did not change to
up-to-date".

Anyway, I have not seen this happen. I tried to reproduce it with CVS
(which is what I guess you were using) but could not. Perhaps the
underlying status command failed or could not be parsed, but without
being able to reproduce it there isn't anything that can be done.

So I am closing this report - please make a new one if you encounter
similar problems.

Subject: 23.1.50; vc-dir
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Thu, 19 Nov 2009 11:23:06 -0500

I used C-x v v in src with two modified files marked: lread.c and ChangeLog.
The echo area said it was checking in lread.c, but didn't mention ChangeLog.

    Press C-c C-c when you are done editing.
    Enter a change comment.  Type C-c C-c when done
    Mark set
    Checking in /home/rms/emacs-cvs/src/ChangeLog /home/rms/emacs-cvs/src/lread.c...done
    Mark set

and the status of the files did not change to "edited".
However, both of the files' own buffers did get marked as
no longer having changes to check in.

In GNU Emacs 23.1.50.2 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2009-11-18 on theobromine2
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  gpm-mouse-mode: t
  display-battery-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
l SPC h o u r s , SPC a n d SPC I SPC c a n ' t SPC 
g i v e SPC y o u SPC t h a t . ESC k ESC q C-x C-s 
C-x o C-n C-o C-n C-n C-o C-x b l r e a d . c RET C-x 
4 a C-_ C-_ C-x o C-x 4 a y e s RET E r r o r SPC i 
f SPC s y m b o l SPC i s SPC t SPC o r SPC n i l . 
C-x C-s C-x v d RET C-x b o u t g TAB RET C-o ESC C-v 
C-n C-o C-n C-o ESC C-v C-x o ESC v C-x o C-n C-o C-x 
o C-a C-u C-p C-u C-p C-p ESC d w h e r t h e r DEL 
DEL DEL DEL DEL t h e r C-x C-s ESC v C-u C-p C-u C-p 
C-p C-e ESC b ESC b t o SPC ESC q C-x C-s C-x o C-n 
C-n C-o C-x b * v c TAB RET C-z C-x k RET C-x b l r 
e TAB RET C-x v d RET C-u C-n C-n C-n C-n C-n C-n C-p 
C-p m C-n C-n m C-x o C-x b C h TAB RET C-a C-@ C-n 
ESC w C-x o C-x v v C-u C-y C-d C-d * C-n C-c C-c v 
C-u C-y C-d C-n C-c C-c v C-u C-y C-d C-n C-c C-c C-h 
m C-x o C-v C-v C-x b C h TAB RET C-x b l r e TAB RET 
ESC x r e p o r t SPC e m a s SPC DEL c s SPC b u g 
RET

Recent messages:
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Mark set
Checking in /home/rms/emacs-cvs/src/ChangeLog /home/rms/emacs-cvs/src/lread.c...done
Mark set
Press C-c C-c when you are done editing.
Enter a change comment.  Type C-c C-c when done
Mark set
Checking in /home/rms/emacs-cvs/src/ChangeLog /home/rms/emacs-cvs/src/lread.c...done
Type C-x 1 to delete the help window, C-M-v to scroll help.

Load-path shadows:
/home/rms/emacs-cvs/lisp/hahaha/foo hides /home/rms/emacs-cvs/lisp/emacs-lisp/foo

Features:
(shadow emacsbug log-edit easy-mmode pcvs-util vc-rcs vc-dir ewoc vc
vc-dispatcher add-log parse-time vc-cvs cc-mode cc-fonts cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs mule-util
cal-move cal-menu calendar cal-loaddefs rmailout dabbrev multi-isearch
quail help-mode view mailalias sendmail rmail speedbar sb-image
ezimage dframe assoc mail-utils dired regexp-opt t-mouse battery paren
cus-start cus-load mailcrypt rfc822 comint ring easymenu
mailcrypt-init tooltip ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd font-setting tool-bar dnd fontset image fringe lisp-mode
register page menu-bar rfn-eshadow timer select scroll-bar mldrag
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
loaddefs button minibuffer faces cus-face text-properties overlay md5
base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
font-render-setting system-font-setting gtk x-toolkit x multi-tty
emacs)